phing-filters

# Class: TidyFilter Source Location: /filters/TidyFilter.php
### Class Overview
    Reader
       |
       --FilterReader
          |
          --BaseFilterReader
             |
             --BaseParamFilterReader
                |
                --TidyFilter
This filter uses the bundled-with-PHP Tidy extension to filter input. #### Author(s): Hans Lellelid <hans@xmpl.org> #### Version: $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $ #### Copyright: © 2003 seasonfive. All rights reserved Implements interfaces: ChainableReader | ### Methods chain createConfig read setConfigParameters setEncoding
### Inherited Variables #### Class: BaseParamFilterReader BaseParamFilterReader::$_parameters #### Class: BaseFilterReader BaseFilterReader::$initialized BaseFilterReader::$project #### Class: FilterReader FilterReader::$in | ### Inherited Methods #### Class: BaseParamFilterReader BaseParamFilterReader::getParameters() BaseParamFilterReader::setParameters() #### Class: BaseFilterReader BaseFilterReader::__construct() Constructor used by Phing's introspection mechanism. BaseFilterReader::eof() Returns whether the end of file has been reached with input stream. BaseFilterReader::getInitialized() Returns the initialized status. BaseFilterReader::getProject() Returns the project this filter is part of. BaseFilterReader::log() Convenience method to support logging in filters. BaseFilterReader::read() Reads characters. BaseFilterReader::readLine() Reads a line of text ending with '\n' (or until the end of the stream). BaseFilterReader::setInitialized() Sets the initialized status. BaseFilterReader::setProject() Sets the project to work with. #### Class: FilterReader FilterReader::__construct() FilterReader::close() FilterReader::getResource() FilterReader::read() Read data from source. FilterReader::reset() FilterReader::setReader() FilterReader::skip() #### Class: Reader Reader::close() Close stream. Reader::getResource() Returns the filename, url, etc. that is being read from. Reader::mark() If supported, places a "marker" (like a bookmark) at current stream position. Reader::markSupported() Whether marking is supported. Reader::read() Read data from source. Reader::ready() Is stream ready for reading. Reader::reset() Reset the current position in stream to beginning or last mark (if supported). Reader::skip() Move stream position relative to current pos.
### Class Details [line 41] This filter uses the bundled-with-PHP Tidy extension to filter input. Example:
#### Tags:
author: | Hans Lellelid <hans@xmpl.org>
version: | $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $
copyright: | © 2003 seasonfive. All rights reserved
[ Top ] ### Class Methods ### method chain [line 132]
`a chain( $reader)`
Creates a new TidyFilter using the passed in Reader for instantiation. #### Tags:
return: | new filter based on this configuration, but filtering the specified reader
access: | public
Implementation of: ChainableReader::chain() Returns a reader with the same configuration as this one, but filtering input from the specified reader. #### Parameters:
reader | $reader | A Reader object providing the underlying stream. Must not be null .
[ Top ] ### method createConfig [line 71]
`Parameter createConfig( )`
Adds a <config> element (which is a Parameter). #### Tags:
access: | public
[ Top ] ### method read [line 96]
`the read( [ $len = null])`
Reads input and returns Tidy-filtered output. #### Tags:
return: | resulting stream, or -1 if the end of the resulting stream has been reached
throws: | IOException if the underlying stream throws an IOException during reading
Overrides BaseFilterReader::read() (Reads characters.) #### Parameters:
| $len |
[ Top ] ### method setConfigParameters [line 62]
`void setConfigParameters( array $params)`
Sets the config params. #### Tags:
see: | TidyFilter::chain()
access: | public
#### Parameters:
array | $params | Parameter[]
[ Top ] ### method setEncoding [line 53]
`void setEncoding( string $v)`
Set the encoding for resulting (X)HTML document. #### Tags:
access: | public
#### Parameters:
string | $v |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:14 +0200 by phpDocumentor 1.4.3